org.licas.ws.wsdl.model

## Class WsdlTypes

- java.lang.Object
- - org.licas.ws.wsdl.model.WsdlTypes

-     public class WsdlTypes
      extends java.lang.Object

  This class stores the type definitions for a wsdl document.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlTypes()` Create a new instance of WsdlTypes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addType(WsdlParamInfo type)` Add a new parameter type.
    `javax.xml.namespace.QName` | `getLocalNamespace()` Get the local namespace.
    `WsdlParamInfo` | `getType(java.lang.String typeName)` Get the type with the specified name.
    `java.util.HashMap` | `getTypes()` Get all types.
    `javax.xml.namespace.QName` | `getXmlNamespace()` Get the xml namespace.
    `void` | `setLocalNamespace(javax.xml.namespace.QName thisLocalNamespace)` Set the local namespace.
    `void` | `setXmlNamespace(javax.xml.namespace.QName thisXmlNamespace)` Set the xml namespace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsdlTypes

          public WsdlTypes()

      Create a new instance of WsdlTypes.

  - ### Method Detail

    - #### setLocalNamespace

          public void setLocalNamespace(javax.xml.namespace.QName thisLocalNamespace)

      Set the local namespace.
      Parameters:
        `thisLocalNamespace` - the local namespace.

    - #### getLocalNamespace

          public javax.xml.namespace.QName getLocalNamespace()

      Get the local namespace.
      Returns:
        the value of localNamespace.

    - #### setXmlNamespace

          public void setXmlNamespace(javax.xml.namespace.QName thisXmlNamespace)

      Set the xml namespace.
      Parameters:
        `thisXmlNamespace` - the xml namespace.

    - #### getXmlNamespace

          public javax.xml.namespace.QName getXmlNamespace()

      Get the xml namespace.
      Returns:
        the value of xmlNamespace.

    - #### addType

          public boolean addType(WsdlParamInfo type)

      Add a new parameter type.
      Parameters:
        `type` - the type to add.
      Returns:
        true if a new type or false otherwise.

    - #### getType

          public WsdlParamInfo getType(java.lang.String typeName)

      Get the type with the specified name.
      Parameters:
        `typeName` - the type name.
      Returns:
        the type with the specified name or null if none exist.

    - #### getTypes

          public java.util.HashMap getTypes()

      Get all types.
      Returns:
        the value of types.